<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:template match="/document">
		<ul class="left_menu mp gray_link">
			<!--      -->
			<xsl:apply-templates select="structure[show=1]"/>
		</ul>
	</xsl:template>
	
	<xsl:template match="structure">
		
		<!--    ID ,       -->
		<xsl:variable name="current_structure_id" select="/document/structure/current_structure_id"/>

		<li>
			<!--  ,   -->
			<xsl:choose>
				<xsl:when test="show_link = 1">
					<!--    -->
					<xsl:variable name="link">
						<xsl:choose>
							<!--    -->
							<xsl:when test="is_external_link = 1">
								<xsl:value-of disable-output-escaping="yes" select="external_link"/>
							</xsl:when>
							<!--     -->
							<xsl:otherwise>
								<xsl:value-of disable-output-escaping="yes" select="link"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<!--     -->
					<a href="{$link}" title="{name}">
						<!--
						     <a>  font-weight: bold,
						   ,        id,   uheggt.
						-->
						<xsl:if test="current_structure_id = @id or count(.//structure[@id=$current_structure_id]) = 1">
							<xsl:attribute name="style">font-weight: bold</xsl:attribute>
						</xsl:if>
						<xsl:value-of disable-output-escaping="yes" select="name"/>
					</a>
				</xsl:when>
				<!--     -     -->
				<xsl:otherwise>
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</xsl:otherwise>
			</xsl:choose>
		</li>
	</xsl:template>
</xsl:stylesheet>