<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<!--  -->
	
	<xsl:template match="/">
		<xsl:apply-templates select="/shop"/>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="/shop">
		<SCRIPT>
			<xsl:comment>
				<xsl:text disable-output-escaping="yes">
					<![CDATA[
					function show_hide_menu(id)
					{
					if (obj = document.getElementById(id)) {
					obj.style.display == 'none' ? obj.style.display = 'block' : obj.style.display = 'none';
					return false; }
					return true;
					}
					]]>
				</xsl:text>
			</xsl:comment>
		</SCRIPT>
		
	<h2><a href="{path}" title="-">-</a></h2>
		
		<ul class="left_menu" id="shop_menu">
			<xsl:apply-templates select="group"/>
		</ul>
	</xsl:template>
	
	<!--     -->
	<xsl:template match="group">
		<li>
			<!--    (   0) -      -->
			<xsl:if test="@parent != 0">
				&#8212;
			</xsl:if>
			
			<a href="{/shop/path}{fullpath}" onClick="return show_hide_menu('{@id}');">
				<xsl:value-of disable-output-escaping="yes" select="name"/>
			</a>
			
			<!--    -->
			<xsl:if test="group">
				<ul class="left_menu gray_link gray" id="{@id}" style="display: none;">
					<xsl:apply-templates select="group"/>
				</ul>
			</xsl:if>
		</li>
	</xsl:template>
</xsl:stylesheet>