<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>

	<!--  -->
	
	<xsl:template match="/">
		<xsl:apply-templates select="/document"/>
	</xsl:template>

	<xsl:template match="/document">
		<!--     -->
		<h2>
			<a href="{blocks/url}" title="{blocks/name}"><xsl:value-of disable-output-escaping="yes" select="blocks/name"/></a>
		</h2>

		<!--     -->
		<xsl:if test="blocks/items/item[item_status=1]">
			<dl class="news_list">
				<xsl:apply-templates select="blocks/items/item[item_status=1]"/>
			</dl>
		</xsl:if>
	</xsl:template>

	<!--     -->
	<xsl:template match="item">
		<!--   -->
		<dt>
			<xsl:value-of disable-output-escaping="yes" select="substring-before(item_date, '.')"/>
			<xsl:variable name="month_year" select="substring-after(item_date, '.')"/>
			<xsl:variable name="month" select="substring-before($month_year, '.')"/>
			<xsl:choose>
				<xsl:when test="$month = 1">  </xsl:when>
				<xsl:when test="$month = 2">  </xsl:when>
				<xsl:when test="$month = 3">  </xsl:when>
				<xsl:when test="$month = 4">  </xsl:when>
				<xsl:when test="$month = 5">  </xsl:when>
				<xsl:when test="$month = 6">  </xsl:when>
				<xsl:when test="$month = 7">  </xsl:when>
				<xsl:when test="$month = 8">  </xsl:when>
				<xsl:when test="$month = 9">  </xsl:when>
				<xsl:when test="$month = 10">  </xsl:when>
				<xsl:when test="$month = 11">  </xsl:when>
				<xsl:otherwise>  </xsl:otherwise>
			</xsl:choose>
			<xsl:value-of disable-output-escaping="yes" select="substring-after($month_year, '.')"/>.
		</dt>

		<!--  -->
		<dd>
			<a href="{item_path}" title="{item_name}">
				<xsl:value-of disable-output-escaping="yes" select="item_name"/>
			</a>
		</dd>
	</xsl:template>
</xsl:stylesheet>