<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:decimal-format name="my" decimal-separator="," grouping-separator=" "/>
	
	<xsl:template match="/">
		<xsl:apply-templates select="/shop"/>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="/shop">
	
	<SCRIPT>
		<xsl:comment>
			<xsl:text disable-output-escaping="yes">
				<![CDATA[

				function set_count_mod(input_id, step)
				{
					var oCountMod = document.getElementById(input_id);

					if (!(iCurrCount = parseInt(oCountMod.value))) {
						iCurrCount = 0;
					}

					if (!(iCurrCount <= 0 && step < 0)) {
						oCountMod.value = iCurrCount + step; 
					}
				}
				]]>
			</xsl:text>
		</xsl:comment>
	</SCRIPT>
		
		<!--  ID       $parent_group_id -->
		<xsl:variable name="parent_group_id" select="@current_group_id"/>
		
		<!--     -     -->
		<xsl:if test="$parent_group_id = 0">
			<h1>
				<xsl:value-of disable-output-escaping="yes" select="name"/>
			</h1>
		</xsl:if>
		
		<!--      -    -->
		<xsl:if test="$parent_group_id != 0">
			<h1>
				<xsl:value-of disable-output-escaping="yes" select=".//group[@id=$parent_group_id]/name"/>
			</h1>
		</xsl:if>
		
		<!--    -->
		<xsl:if test="count(selected_tags/tag) = 1">
		<h2> &#x97; <strong><xsl:value-of select="selected_tags/tag/tag_name"/></strong>.</h2>
		</xsl:if>
		
		<!--    -->
		<div class="path">
			<xsl:apply-templates select=".//group[@id=$parent_group_id]" mode="goup_path"/>
		</div>
		
		<xsl:variable name="count">1</xsl:variable>
		
		<!--    ,           -->
		<xsl:if test="count(selected_tags/tag) = 0 and count(//group[@parent=$parent_group_id]) &gt; 0">
			<table width="100%" border="0" cellpadding="3" cellspacing="0">
				<tr>
					<td valign="top">
						<xsl:apply-templates select="//group[@parent=$parent_group_id]"/>
					</td>
				</tr>
			</table>
		</xsl:if>
		
		<xsl:if test="count(item) &gt; 0  or apply_filter = 1">
			<form method="get" action="{/shop/path}{//group[@id=$parent_group_id]/fullpath}">
				<div class="shop_block">
					<div>
						<!--     -->
						<xsl:if test="count(producerslist/producer) > 0">
							:&#xA0;
							<select name="producer_id">
								<option value="0">&#x2026;</option>
								<xsl:apply-templates select="producerslist/producer"/>
							</select>&#xA0;
						</xsl:if>
						
						<!--     -->
						<xsl:if test="count(sallers/saller) > 0">
							:&#xA0;
							<select name="saller_id">
								<option value="0">&#x2026;</option>
								<xsl:apply-templates select="sallers/saller"/>
							</select>&#xA0;
						</xsl:if>
						
						 :&#xA0;
						<input name="price_from" size="5" type="text">
							<xsl:if test="/shop/price_from != 0">
								<xsl:attribute name="value">
									<xsl:value-of disable-output-escaping="yes" select="/shop/price_from"/>
								</xsl:attribute>
							</xsl:if>
						</input>&#xA0;
						
						:&#xA0;
						<input name="price_to" size="5" type="text">
							<xsl:if test="/shop/price_to != 0">
								<xsl:attribute name="value">
									<xsl:value-of disable-output-escaping="yes" select="/shop/price_to"/>
								</xsl:attribute>
							</xsl:if>
						</input>&#xA0;
						
						<span style="white-space: nowrap">  :</span>&#xA0;
						<select name="on_page">
							<option value="0">&#x2026;</option>
							<xsl:call-template name="for_on_page">
								<xsl:with-param name="i" select="10"/>
								<xsl:with-param name="n" select="50"/>
							</xsl:call-template>
						</select>&#xA0;
					</div>
				
					<xsl:if test="count(properties_for_group/property[property_show_kind != 0 and (shop_list_of_properties_type = 0 or shop_list_of_properties_type = 2 or shop_list_of_properties_type = 7)]) &gt; 0">
						<p>
							<b>    :</b>
						</p>
						<table cellpadding="10px" cellspacing="0">
							<tr valign="top">
								<xsl:apply-templates select="properties_for_group/property[property_show_kind != 0 and (shop_list_of_properties_type = 0 or shop_list_of_properties_type = 2 or shop_list_of_properties_type = 7)]"/>
							</tr>
						</table>
					</xsl:if>
					<div class="nofloat" style="margin-left: 40%">
						<div class="gray_button">
							<div>
								<input name="apply_filter" value="" type="submit"/>
							</div>
						</div>
					</div>
				</div>
				
				<!--      -->
				<xsl:if test="count(/shop/compare_items/compare_item) &gt; 0">
					<table cellpadding="5px" cellspacing="0" border="0">
						<tr>
							<td>
								<input type="checkbox" onclick="SelectAllItemsByPrefix(this.checked, 'del_compare_id_')" />
							</td>
							<td>
								<b> </b>
							</td>
						</tr>
						<xsl:apply-templates select="compare_items/compare_item"/>
					</table>

					<div class="nofloat" style="height: 47px; padding: 5px 0;">
						<div class="gray_button left">
							<div>
								<input name="apply_compare" value="" type="button" onclick="javascript:location='{/shop/path}compare_items/';"/>
							</div>
						</div>
						<div class="gray_button right">
							<div>
								<input name="delete_compare" value="" type="submit"/>
							</div>
						</div>
					</div>

					<!-- <input name="delete_all_compare" value=" " type="submit"/> -->
				</xsl:if>
				
				<!--   -->
				<div class="shop_block">
					<!--      -->
					<xsl:variable name="filter">
						<xsl:if test="/shop/apply_filter/node()">?action=apply_filter&amp;producer_id=<xsl:value-of select="/shop/producer_id"/>&amp;saller_id=<xsl:value-of select="/shop/saller_id"/>&amp;price_from=<xsl:value-of select="/shop/price_from"/>&amp;price_to=<xsl:value-of select="/shop/price_to"/>&amp;on_page=<xsl:value-of select="/shop/on_page"/>
							<xsl:if test="/shop/property_xml/node()">
								<!-- GET  .  -->
								<xsl:value-of select="/shop/property_xml"/>
							</xsl:if>
						</xsl:if>
					</xsl:variable>
					
					<!--       -->
					<xsl:variable name="first_symbol">
						<xsl:choose>
							<xsl:when test="$filter != ''">&amp;</xsl:when>
							<xsl:otherwise>?</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					  
					
					<xsl:choose>
						<xsl:when test="/shop/sort_by_field = 1 and /shop/order_direction = 'ASC'">
							<div class="arrow_up"></div>
							<img src="/hostcmsfiles/images/arrow_up.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
						</xsl:when>
						<xsl:otherwise>
							<div class="arrow_up_gray"></div>
							<a href="{$filter}{$first_symbol}sort_by_field=1&amp;order_direction=1" class="without_decor">
								<img src="/hostcmsfiles/images/arrow_up_gray.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
							</a>
						</xsl:otherwise>
					</xsl:choose>
					
					<xsl:choose>
						<xsl:when test="/shop/sort_by_field = 1 and /shop/order_direction = 'DESC'">
							<div class="arrow_down"></div>
							<img src="/hostcmsfiles/images/arrow_down.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
						</xsl:when>
						<xsl:otherwise>
							<div class="arrow_down_gray"></div>
							<a href="{$filter}{$first_symbol}sort_by_field=1&amp;order_direction=2" class="without_decor">
								<img src="/hostcmsfiles/images/arrow_down_gray.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
							</a>
						</xsl:otherwise>
					</xsl:choose>,&#xA0; 
					
					<xsl:choose>
						<xsl:when test="/shop/sort_by_field = 2 and /shop/order_direction = 'ASC'">
							<div class="arrow_up"></div>
							<img src="/hostcmsfiles/images/arrow_up.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
						</xsl:when>
						<xsl:otherwise>
							<div class="arrow_up_gray"></div>
							<a href="{$filter}{$first_symbol}sort_by_field=2&amp;order_direction=1" class="without_decor">
								<img src="/hostcmsfiles/images/arrow_up_gray.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/></a>
						</xsl:otherwise>
					</xsl:choose>
					
					<xsl:choose>
						<xsl:when test="/shop/sort_by_field = 2 and /shop/order_direction = 'DESC'">
							<div class="arrow_down"></div>
							<img src="/hostcmsfiles/images/arrow_down.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
						</xsl:when>
						<xsl:otherwise>
							<div class="arrow_down_gray"></div>
							<a href="{$filter}{$first_symbol}sort_by_field=2&amp;order_direction=2" class="without_decor">
								<img src="/hostcmsfiles/images/arrow_down_gray.png" style="filter: alpha(opacity=0); margin: 0px 0px -4px 0px" alt=" "/>
							</a>
							
						</xsl:otherwise>
					</xsl:choose>
				</div>
				
				<!--      -->
				<xsl:variable name="filter">
					<xsl:choose>
						<xsl:when test="/shop/apply_filter/node()">?action=apply_filter&amp;producer_id=<xsl:value-of select="/shop/producer_id"/>&amp;saller_id=<xsl:value-of select="/shop/saller_id"/>&amp;price_from=<xsl:value-of select="/shop/price_from"/>&amp;price_to=<xsl:value-of select="/shop/price_to"/>&amp;on_page=<xsl:value-of select="/shop/on_page"/>
							<xsl:if test="/shop/property_xml/node()">
								<!-- GET  .  -->
								<xsl:value-of select="/shop/property_xml"/>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<!--       -->
				<xsl:variable name="first_symbol">
					<xsl:choose>
						<xsl:when test="$filter != ''">&amp;</xsl:when>
						<xsl:otherwise>?</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<xsl:apply-templates select="item" />
				
				<xsl:if test="count_items &gt; 0">
					<div class="nofloat" style="height: 27px; padding: 0 0 20px 0;">
						<div class="gray_button">
							<div>
								<input name="add_compare" value="  " type="submit" />
							</div>
						</div>
					</div>
				</xsl:if>
				
				<xsl:if test="count(/shop/group[@id = /shop/@current_group_id]/propertys/property) > 0">
					<div style="margin: 10px 0px;">
						<h2>  </h2>
						
						<xsl:if test="count(property[@dir_id = 0])">
							<table border="0">
								<xsl:apply-templates select="property[@dir_id = 0]"/>
							</table>
						</xsl:if>
						
						<xsl:apply-templates select="/shop/properties_groups_dir"/>
					</div>
				</xsl:if>
				
				<xsl:if test="count_items &gt; 0 and items_on_page &gt; 0">
					
					<xsl:variable name="count_pages" select="ceiling(count_items div items_on_page)"/>
					
					<xsl:variable name="visible_pages" select="5"/>
					
					<xsl:variable name="real_visible_pages"><xsl:choose>
							<xsl:when test="$count_pages &lt; $visible_pages"><xsl:value-of select="$count_pages"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$visible_pages"/></xsl:otherwise>
					</xsl:choose></xsl:variable>
					
					<!--        -->
					<xsl:variable name="pre_count_page"><xsl:choose>
							<xsl:when test="current_page  - (floor($real_visible_pages div 2)) &lt; 0">
								<xsl:value-of select="current_page"/>
							</xsl:when>
							<xsl:when test="($count_pages  - current_page - 1) &lt; floor($real_visible_pages div 2)">
								<xsl:value-of select="$real_visible_pages - ($count_pages  - current_page - 1) - 1"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="round($real_visible_pages div 2) = $real_visible_pages div 2">
										<xsl:value-of select="floor($real_visible_pages div 2) - 1"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="floor($real_visible_pages div 2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
					</xsl:choose></xsl:variable>
					
					<!--        -->
					<xsl:variable name="post_count_page"><xsl:choose>
							<xsl:when test="0 &gt; current_page - (floor($real_visible_pages div 2) - 1)">
								<xsl:value-of select="$real_visible_pages - current_page - 1"/>
							</xsl:when>
							<xsl:when test="($count_pages  - current_page - 1) &lt; floor($real_visible_pages div 2)">
								<xsl:value-of select="$real_visible_pages - $pre_count_page - 1"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$real_visible_pages - $pre_count_page - 1"/>
							</xsl:otherwise>
					</xsl:choose></xsl:variable>
					
					<xsl:variable name="i"><xsl:choose>
							<xsl:when test="current_page + 1 = $count_pages"><xsl:value-of select="current_page - $real_visible_pages + 1"/></xsl:when>
							<xsl:when test="current_page - $pre_count_page &gt; 0"><xsl:value-of select="current_page - $pre_count_page"/></xsl:when>
							<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose></xsl:variable>
					
					<p>
						<xsl:call-template name="for">
							<xsl:with-param name="items_on_page" select="items_on_page"/>
							<xsl:with-param name="current_page" select="current_page"/>
							<xsl:with-param name="count_items" select="count_items"/>
							<xsl:with-param name="i" select="$i"/>
							<xsl:with-param name="post_count_page" select="$post_count_page"/>
							<xsl:with-param name="pre_count_page" select="$pre_count_page"/>
							<xsl:with-param name="visible_pages" select="$real_visible_pages"/>
						</xsl:call-template>
					</p>
					<div style="clear: both"></div>
				</xsl:if>
				
			</form>
		</xsl:if>
	</xsl:template>
	
	<!--       -->
	<xsl:template match="properties_groups_dir">
		
	<p><b><xsl:value-of select="shop_properties_groups_dir_name"/></b></p>
		
		<xsl:variable name="dir_id" select="@id"/>
		
		<xsl:if test="count(/shop/group[@id = /shop/@current_group_id]/propertys/property)">
			<table border="0">
				<xsl:apply-templates select="/shop/group[@id = /shop/@current_group_id]/propertys/property[@parent_id = $dir_id]"/>
			</table>
		</xsl:if>
		
		<xsl:if test="count(properties_groups_dir)">
			<blockquote>
				<xsl:apply-templates select="properties_groups_dir"/>
			</blockquote>
		</xsl:if>
	</xsl:template>
	
	<!--      -->
	<xsl:template match="property">
		<tr>
			<td style="padding: 5px" bgcolor="#eee">
				<b><xsl:value-of select="name"/></b>
			</td>
			<td style="padding: 5px" bgcolor="#eee">
				<xsl:choose>
					<xsl:when test="type = 1">
						<a href="{file_path}"> </a>
					</xsl:when>
					<xsl:when test="type = 7">
						<xsl:choose>
							<xsl:when test="value = 1">
								<input type="checkbox" checked="" disabled="" />
							</xsl:when>
							<xsl:otherwise>
								<input type="checkbox" disabled="" />
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of disable-output-escaping="yes" select="value"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>
	
	<!--       -->
	<xsl:template match="compare_items/compare_item">
		<xsl:variable name="var_compare_id" select="."/>
		<tr>
			<td>
				<input type="checkbox" name="del_compare_id_{compare_item_id}" id="id_del_compare_id_{compare_item_id}"/>
			</td>
			<td>
				<a href="{/shop/path}{compare_item_fullpath}{compare_item_path}/">
					<xsl:value-of disable-output-escaping="yes" select="compare_item_name"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
	<!--     -->
	<xsl:template match="producerslist/producer">
		
		<xsl:param name="id_prod" select="@id"/>
		<!--
		<xsl:variable name="node_name" select="concat('', $id_prod)"/>
		
		<xsl:if test="count(/shop/*[name() = $node_name])">
			-->
			
			<option value="{@id}">
				<xsl:if test="@id = /shop/producer_id">
					<xsl:attribute name="selected"> </xsl:attribute>
				</xsl:if>
				<xsl:value-of disable-output-escaping="yes" select="name"/>
			</option>
			<!--
		</xsl:if>
		-->
		
	</xsl:template>
	
	<!--     -->
	<xsl:template match="sallers/saller">
		<option value="{@id}">
			<xsl:if test="@id = /shop/saller_id">
				<xsl:attribute name="selected">
				</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="sallers_name"/>
		</option>
	</xsl:template>
	
	<!--       -->
	<xsl:template match="properties_for_group/property">
		
		<xsl:variable name="nodename">property_id_<xsl:value-of select="@id"/></xsl:variable>
		
		<xsl:variable name="nodename_from">property_id_<xsl:value-of select="@id"/>_from</xsl:variable>
		<xsl:variable name="nodename_to">property_id_<xsl:value-of select="@id"/>_to</xsl:variable>
		
		
		<td>
			<xsl:value-of disable-output-escaping="yes" select="property_name"/>&#xA0;
			<xsl:if test="property_show_kind = 1">
				<!--    -->
				<br/>
				<input type="text" name="property_id_{@id}">
					<xsl:if test="/shop/*[name()=$nodename] != ''">
						<xsl:attribute name="value">
							<xsl:value-of select="/shop/*[name()=$nodename]"/>
						</xsl:attribute>
					</xsl:if>
				</input>
			</xsl:if>
			<xsl:if test="property_show_kind = 2">
				<!--   -->
				<br/>
				<select name="property_id_{@id}">
					<option value="0">...</option>-->
					<xsl:apply-templates select="list_items/list_item"/>
				</select>
			</xsl:if>
			<xsl:if test="property_show_kind = 3">
				<!--   -->
				<br/>
				<input type="radio" name="property_id_{@id}" value="0" id="id_prop_radio_{@id}_0"></input>
				<label for="id_prop_radio_{@id}_0"> </label>
				<xsl:apply-templates select="list_items/list_item"/>
			</xsl:if>
			
			<xsl:if test=" property_show_kind = 4">
				<!--   -->
				<xsl:apply-templates select="list_items/list_item"/>
			</xsl:if>
			
			<xsl:if test=" property_show_kind = 5">
				<!--   -->
				<br/>
				<input type="checkbox" name="property_id_{@id}" id="property_id_{@id}" style="padding-top:4px">
					<xsl:if test="/shop/*[name()=$nodename] != ''">
						<xsl:attribute name="checked">
							<xsl:value-of select="/shop/*[name()=$nodename]"/>
						</xsl:attribute>
					</xsl:if>
				</input>
				<label for="property_id_{@id}"></label>
			</xsl:if>
			
			<xsl:if test=" property_show_kind = 6">
				<!--   ".. .." -->
				<br/>
				: <input type="text" name="property_id_{@id}_from" size="5" value="{/shop/*[name()=$nodename_from]}"/> : <input type="text" name="property_id_{@id}_to" size="5" value="{/shop/*[name()=$nodename_to]}"/>
			</xsl:if>
			
			<xsl:if test="property_show_kind = 7">
				<!--      -->
				<br/>
				<select name="property_id_{@id}[]" multiple="">
					<xsl:apply-templates select="list_items/list_item"/>
				</select>
			</xsl:if>
		</td>
		<xsl:if test="position() mod 6 = 0">
			<xsl:text disable-output-escaping="yes">
				&lt;/tr&gt;
				&lt;tr valign="top"&gt;
			</xsl:text>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="list_items/list_item">
		<xsl:if test="../../property_show_kind = 2">
			<!--   -->
			<xsl:variable name="nodename">property_id_<xsl:value-of select="../../@id"/></xsl:variable>
			<option value="{@id}">
				<xsl:if test="/shop/*[name()=$nodename] = @id">
					<xsl:attribute name="selected">
					</xsl:attribute>
				</xsl:if>
				<xsl:value-of disable-output-escaping="yes" select="list_item_value"/>
			</option>
		</xsl:if>
		<xsl:if test="../../property_show_kind = 3">
			<!--   -->
			<xsl:variable name="nodename">property_id_<xsl:value-of select="../../@id"/></xsl:variable>
			<br/>
			<input type="radio" name="property_id_{../../@id}" value="{@id}" id="id_property_id_{../../@id}_{@id}">
				<xsl:if test="/shop/*[name()=$nodename] = @id">
					<xsl:attribute name="checked">checked</xsl:attribute>
				</xsl:if>
				<label for="id_property_id_{../../@id}_{@id}">
					<xsl:value-of disable-output-escaping="yes" select="list_item_value"/>
				</label>
			</input>
		</xsl:if>
		<xsl:if test="../../property_show_kind = 4">
			<!--   -->
			<xsl:variable name="nodename">property_id_<xsl:value-of select="../../@id"/>_item_id_<xsl:value-of select="@id"/></xsl:variable>
			<br/>
			<input type="checkbox" name="property_id_{../../@id}_item_id_{@id}" id="id_property_id_{../../@id}_{@id}">
				<xsl:if test="/shop/*[name()=$nodename] = @id">
					
					<xsl:attribute name="checked">checked</xsl:attribute>
				</xsl:if>
				<label for="id_property_id_{../../@id}_{@id}">
					<xsl:value-of disable-output-escaping="yes" select="list_item_value"/>
				</label>
			</input>
		</xsl:if>
		<xsl:if test="../../property_show_kind = 7">
			<!--   -->
			<xsl:variable name="nodename">property_id_<xsl:value-of select="../../@id"/></xsl:variable>
			<option value="{@id}">
				<xsl:if test="/shop/*[name()=$nodename] = @id">
					<xsl:attribute name="selected">
					</xsl:attribute>
				</xsl:if>
				<xsl:value-of disable-output-escaping="yes" select="list_item_value"/>
			</option>
		</xsl:if>
		
	</xsl:template>
	
	<!--    10  select'a     -->
	<xsl:template name="for_on_page">
		<xsl:param name="i" select="0"/>
		<xsl:param name="n"/>
		
		<option value="{$i}">
			<xsl:if test="$i = /shop/on_page">
				<xsl:attribute name="selected">
				</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="$i"/>
		</option>
		
		<xsl:if test="$n &gt; $i">
			<!--    -->
			<xsl:call-template name="for_on_page">
				<xsl:with-param name="i" select="$i + 10"/>
				<xsl:with-param name="n" select="$n"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<!--     -->
	<xsl:template match="group">
		
		<xsl:variable name="parent_id" select="@parent"/>
		
		<div style="margin-bottom: 15px;">
			<a href="{/shop/path}{fullpath}" style="font-weight: bold">
				<xsl:value-of disable-output-escaping="yes" select="name"/>
		</a>&#xA0;<span style="color: #aaaaaa">(<xsl:value-of select="count_all_items"/>)</span>
			<br/>
			<xsl:value-of disable-output-escaping="yes" select="description"/>
			
			<xsl:if test="count(group) &gt; 1">
				<xsl:apply-templates select="group" mode="sub_group"/>
			</xsl:if>
		</div>
		
		<xsl:if test="position()= round(count(//group[@parent = $parent_id]) div 2)">
			<xsl:text disable-output-escaping="yes">
				&lt;/td&gt;
				&lt;td valign="top" width="50%"&gt;
			</xsl:text>
		</xsl:if>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="group" mode="sub_group">
		<a href="{/shop/path}{fullpath}">
			<xsl:value-of disable-output-escaping="yes" select="name"/>
		</a>
		<xsl:variable name="parent_id" select="@parent"/>
		<!--    ,          -->
		<xsl:if test="position() != last() and count(//group[@parent = $parent_id]) &gt; 1">,&#xA0;</xsl:if>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="item">
		
		
		<!--    -->
		<xsl:variable name="background_color">
			<xsl:choose>
				<xsl:when test="(position() + 1) mod 2 &gt; 0">#f7f7f7</xsl:when>
				<xsl:otherwise>#ffffff</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<table width="97%" border="0" cellpadding="0" cellspacing="0" style="padding-bottom: 7px; margin-bottom: 15px; margin-right: 10px; border-bottom: 1px solid #dadada">
			<tr>
				<td colspan="4" style="padding-bottom: 4px">
					<!--   -->
					<div  style="font-size: 13pt">
						<a href="{/shop/path}{fullpath}{path}/" class="cat_title">
							<xsl:value-of disable-output-escaping="yes" select="name"/>
						</a>
					</div>
				</td>
			</tr>
			<tr>
				<td class="cat_t" style="width: 110px" valign="top">
					<!--   ,   -->
					<xsl:if test="small_image!=''">
						<a href="{/shop/path}{fullpath}{path}/">
							<img src="{small_image}" style="border: 1px solid #DADADA"/>
						</a>
					</xsl:if>
				</td>
				<td style="vertical-align:top;padding-left:12px;">
					
					<!--   -->
					<xsl:value-of disable-output-escaping="yes" select="description"/>
					
					<!--   ,    -->
					<xsl:if test="type = 1">
						<p>
							<strong>
								<xsl:choose>
									<xsl:when test="eitem_count = 0">
										  .
									</xsl:when>
									<xsl:when test="eitem_count = -1">
										    .
									</xsl:when>
									<xsl:otherwise>
									  : <xsl:value-of select="eitem_count" /><xsl:text> </xsl:text><xsl:value-of select="mesure" />
									</xsl:otherwise>
								</xsl:choose>
							</strong>
						</p>
					</xsl:if>
					
					<!--  -->
					<xsl:if test="count(tags/tag) &gt; 0">
						<p>
							<img src="/hostcmsfiles/images/tags.gif" align="left" style="margin: 0px 5px -2px 0px"/>
							<xsl:apply-templates select="tags/tag"/>
						</p>
					</xsl:if>
					
					<!--  -->
					<xsl:if test="saller!=0">
						<!--    -->
						<p>
							<xsl:variable name="saller_id" select="saller"/>
							<b>:&#xA0;</b>
							<a href="{/shop/path}sallers/saller-{saller}/">
								<xsl:value-of select="/shop/sallers/saller[@id=$saller_id]/sallers_name"/>
							</a>
						</p>
					</xsl:if>
					
					<!--     -->
					<xsl:if test="weight != 0">
						<p>
							 : <xsl:value-of select="weight"/>&#xA0;<xsl:value-of select="weight_mesure"/>
						</p>
					</xsl:if>
					
					<!--  -->
					<xsl:if test="count(discount) &gt; 0">
						<p>
							: <xsl:apply-templates select="discount"/>
						</p>
					</xsl:if>
					
					<!--  -->
					<xsl:if test="count(shop_special_prices/special_price) &gt; 0">
						<p>
							<b> :</b>
							<xsl:apply-templates select="shop_special_prices/special_price"/>
						</p>
					</xsl:if>
					
					<!--      -->
					<xsl:variable name="price" select="price_discount"/>
					
					<xsl:if test="count(/shop/all_currency/shop_currency) > 1 and $price > 0">
						<p><b>   :</b>
							<!--   -->
							<xsl:for-each select="/shop/all_currency/shop_currency">
								<!--     -->
								<xsl:if test="@id != /shop/shop_currency/@id">
									<br /><xsl:value-of select="format-number($price * shop_currency_coefficient, '### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="shop_currency_name"/>
								</xsl:if>
							</xsl:for-each>
						</p>
					</xsl:if>
					
					<!--  -->
					<xsl:if test="count(modifications/item) &gt; 0">
						<b>:</b>
						<table cellspacing="0" cellpadding="2">
							<tr>
								<td style="border-bottom: 1px solid #dadada;"></td>
								<td style="border-bottom: 1px solid #dadada;"></td>
							</tr>
							<xsl:apply-templates select="modifications/item"/>
						</table>
					</xsl:if>
					
					<div style="margin-left: -4px; margin-top: 5px">
						<xsl:variable name="var_compare_id" select="@id"/>
						<input type="checkbox" name="compare_id_{@id}" id="id_compare_id_{@id}">
						<label for="id_compare_id_{@id}">&#xA0;<span style="border-bottom: dashed 1px">  </span>&#xA0;</label>
						</input>
					</div>
				</td>
				
				<td width="128" valign="top" style="padding-left: 30px">
					<xsl:if test="property[@xml_name = 'novinka']/value != '' and property[@xml_name = 'novinka']/value = ''">
						<img src="/images/new.gif"/>
					</xsl:if>
					
					<xsl:if test="property[@xml_name = 'hot']/value != '' and property[@xml_name = 'hot']/value = ''">
						<img src="/images/hot.gif"/>
					</xsl:if>
				</td>
				
				<td width="130" class="cat_price_label" style="padding-left: 10px" valign="top">
					<!--   -->
					<div style="display: inline">
						<xsl:choose>
							<xsl:when test="price_discount != 0">
								<span style="font-size: 11pt">
									<b>
										<xsl:variable name="price" select="price_discount"/>
										<xsl:value-of select="format-number($price, '### ##0,00', 'my')"/>&#xA0;
										<!--   -->
										<xsl:value-of disable-output-escaping="yes" select="currency"/>
									</b>
								</span>
							</xsl:when>
							<xsl:otherwise>
								<span style="font-size: 11pt">
									<b>&#xA0;</b>
								</span>
							</xsl:otherwise>
						</xsl:choose>
						<br/>
						
						<!--     -   -->
						<xsl:if test="price_tax != price_discount">
							<span style="color: gray; text-decoration: line-through;">
								<xsl:variable name="price_tax" select="price_tax"/>
								<span style="font-size: 11pt">
									<xsl:value-of select="format-number($price_tax, '### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="currency"/></span>
							</span>
							<br/>
						</xsl:if>
						
						<!--      , :
						type = 0 -   
						type = 1 -  ,       0  -1,
						    -->
						<xsl:if test="type = 0 or (type = 1 and (eitem_count > 0 or eitem_count = -1))">
							<div style="display: inline; margin-left: 3px">
							<div class="left">
								<input type="text" size="3" value="1" id="count_{@id}"/>
								
								<img src="/images/map_intocart.gif" width="12" height="21" border="0" usemap="#mapInToCart{@id}" style="margin: 0 0 -6px 1px;"/>

								<map name="mapInToCart{@id}">
									<area shape="rect" coords="0,0,12,10"  onclick="set_count_mod('count_{@id}', 1);" nohref="nohref" />
									<area shape="rect" coords="0,11,12,21" onclick="set_count_mod('count_{@id}', -1);" nohref="nohref" />
								</map>
</div>
								
								<a href="{/shop/path}cart/?action=add&amp;item_id={@id}" onclick="return AddIntoCart('{/shop/path}', {@id}, document.getElementById('count_{@id}').value)">
									<img alt=" " title=" " src="/hostcmsfiles/images/cart.gif" style="margin: 0px 0px -4px 10px" />
								</a>
							</div>
						</xsl:if>
						
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<!-- ///    /// -->
	<xsl:template match="tags/tag">
		<a href="{/shop/path}tag/{tag_path_name}/" class="tag">
			<xsl:value-of select="tag_name"/>
		</a>
	<xsl:if test="position() != last()">,</xsl:if>&#xA0;</xsl:template>
	
	<!--    -->
	<xsl:template match="modifications/item">
		<tr>
			<td>
				<!--   -->
				<a href="{/shop/path}{fullpath}{path}/">
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</a>
			</td>
			<td>
				<!--   -->
				<xsl:choose>
					<xsl:when test="price_discount != 0">
						<xsl:value-of disable-output-escaping="yes" select="price_discount"/>&#xA0;
						<!--   -->
						<xsl:value-of disable-output-escaping="yes" select="currency"/>
					</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="discount">
		<br/>
		<xsl:value-of disable-output-escaping="yes" select="name"/>&#xA0;
		<xsl:value-of disable-output-escaping="yes" select="value"/>%</xsl:template>
	
	<!--    -->
	<xsl:template match="special_price">
		
		<xsl:variable name="item_id" select="@item_id" />
		
		<br/>
		 <xsl:value-of select="shop_special_prices_from"/>  <xsl:value-of select="shop_special_prices_to"/>&#xA0;<xsl:value-of select="/shop/item[@id = $item_id]/mesure"/>
		<xsl:text> </xsl:text>
		&#151;
		<xsl:text> </xsl:text>
		<xsl:value-of select="format-number(shop_special_prices_price,'### ##0,00', 'my')" />&#xA0;<xsl:value-of select="/shop/item[@id = $item_id]/currency"/>
		 1 <xsl:value-of select="/shop/item[@id = $item_id]/mesure"/>
	</xsl:template>
	
	<!--      -->
	<xsl:template name="for">
		
		<xsl:param name="items_on_page"/>
		<xsl:param name="current_page"/>
		<xsl:param name="pre_count_page"/>
		<xsl:param name="post_count_page"/>
		<xsl:param name="i" select="0"/>
		<xsl:param name="count_items"/>
		<xsl:param name="visible_pages"/>
		
		<xsl:variable name="n" select="ceiling($count_items div $items_on_page)"/>
		
		<xsl:variable name="start_page"><xsl:choose>
				<xsl:when test="$current_page + 1 = $n"><xsl:value-of select="$current_page - $visible_pages + 1"/></xsl:when>
				<xsl:when test="$current_page - $pre_count_page &gt; 0"><xsl:value-of select="$current_page - $pre_count_page"/></xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose></xsl:variable>
		
		<xsl:if test="$i = $start_page and $current_page != 0">
			<span class="ctrl">
				&#8592; Ctrl
			</span>
		</xsl:if>
		
		<xsl:if test="$i = ($current_page + $post_count_page + 1) and $n != ($current_page+1)">
			<span class="ctrl">
				Ctrl &#8594;
			</span>
		</xsl:if>
		
		<xsl:if test="$count_items &gt; $items_on_page and ($current_page + $post_count_page + 1) &gt; $i">
			<!--    $parent_group_id    -->
			<xsl:variable name="parent_group_id" select="/shop/@current_group_id"/>
			
			<!--    -->
			<xsl:variable name="tag_path">
				<xsl:if test="count(/shop/selected_tags/tag) = 1">tag/<xsl:value-of select="/shop/selected_tags/tag/tag_path_name"/>/</xsl:if>
			</xsl:variable>
			
			<!--       -->
			<xsl:variable name="group_link">
				<xsl:choose>
					<!--     (!=0) -->
					<xsl:when test="$parent_group_id != 0">
						<xsl:value-of select="/shop//group[@id=$parent_group_id]/fullpath"/>
					</xsl:when>
					<!--     -        -->
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--    -->
			<xsl:variable name="number_link">
				<xsl:choose>
					<!--     -->
					<xsl:when test="$i != 0">page-<xsl:value-of select="$i + 1"/>/</xsl:when>
					<!--     -        -->
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--   -->
			<xsl:variable name="filter">
				<xsl:choose>
					<xsl:when test="/shop/apply_filter/node()">?action=apply_filter&amp;producer_id=<xsl:value-of select="/shop/producer_id"/>&amp;saller_id=<xsl:value-of select="/shop/saller_id"/>&amp;price_from=<xsl:value-of select="/shop/price_from"/>&amp;price_to=<xsl:value-of select="/shop/price_to"/>&amp;on_page=<xsl:value-of select="/shop/on_page"/>
						<xsl:if test="/shop/property_xml/node()">
							<!-- GET  .  -->
							<xsl:value-of select="/shop/property_xml"/>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--       -->
			<xsl:variable name="first_symbol">
				<xsl:choose>
					<xsl:when test="$filter != ''">&amp;</xsl:when>
					<xsl:otherwise>?</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--     -->
			<xsl:variable name="arrows">
				<xsl:choose>
					<xsl:when test="(/shop/sort_by_field = 1) or (/shop/sort_by_field = 2)">
						<xsl:choose>
							<!--   -->
							<xsl:when test="/shop/order_direction = 'ASC'">
								<xsl:value-of select="$first_symbol"/>sort_by_field=<xsl:value-of select="/shop/sort_by_field"/>&amp;order_direction=1</xsl:when>
							<!--   -->
							<xsl:otherwise>
								<xsl:value-of select="$first_symbol"/>sort_by_field=<xsl:value-of select="/shop/sort_by_field"/>&amp;order_direction=2</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--      -->
			<xsl:if test="$current_page - $pre_count_page &gt; 0 and $i = $start_page">
				<a href="{/shop/path}{$group_link}{$tag_path}{$filter}{$arrows}" class="page_link" style="text-decoration: none;">&#x2190;</a>
			</xsl:if>
			
			<!--    -->
			<xsl:if test="$i != $current_page">
				<xsl:if test="($current_page - $pre_count_page) &lt;= $i and $i &lt; $n">
					<!--      -->
					<a href="{/shop/path}{$group_link}{$tag_path}{$number_link}{$filter}{$arrows}" class="page_link">
						<xsl:value-of select="$i + 1"/>
					</a>
				</xsl:if>
				
				<!--      -->
				<xsl:if test="$i+1 &gt;= ($current_page + $post_count_page + 1) and $n &gt; ($current_page + 1 + $post_count_page)">
					<!--      -->
					<a href="{/shop/path}{$group_link}{$tag_path}page-{$n}/{$filter}{$arrows}" class="page_link" style="text-decoration: none;">&#x2192;</a>
				</xsl:if>
			</xsl:if>
			
			<!--      Ctrl +  -->
			<xsl:if test="$current_page != 0 and $i = $current_page">
				<xsl:variable name="prev_number_link">
					<xsl:choose>
						<!--     -->
						<xsl:when test="($current_page - 1) != 0">page-<xsl:value-of select="$i"/>/</xsl:when>
						<!--     -        -->
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<a href="{/shop/path}{$group_link}{$tag_path}{$prev_number_link}{$filter}{$arrows}" id="id_prev"></a>
			</xsl:if>
			
			<!--      Ctrl +  -->
			<xsl:if test="($n - 1) > $current_page and $i = $current_page">
				<a href="{/shop/path}{$group_link}{$tag_path}page-{$current_page+2}/{$filter}{$arrows}" id="id_next"></a>
			</xsl:if>
			
			<!--     -->
			<xsl:if test="$i = $current_page">
				<span class="current">
					<xsl:value-of select="$i+1"/>
				</span>
			</xsl:if>
			
			<!--   .     ! -->
			<xsl:call-template name="for">
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="items_on_page" select="$items_on_page"/>
				<xsl:with-param name="current_page" select="$current_page"/>
				<xsl:with-param name="count_items" select="$count_items"/>
				<xsl:with-param name="pre_count_page" select="$pre_count_page"/>
				<xsl:with-param name="post_count_page" select="$post_count_page"/>
				<xsl:with-param name="visible_pages" select="$visible_pages"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<!--       .  -->
	<xsl:template match="group" mode="goup_path">
		<xsl:param name="parent_id" select="@parent"/>
		
		<!--  ID       $parent_group_id -->
		<xsl:param name="parent_group_id" select="/shop/@current_group_id"/>
		
		<xsl:apply-templates select="//group[@id=$parent_id]" mode="goup_path"/>
		
		<xsl:if test="@parent=0">
			<a href="{/shop/path}">
				<xsl:value-of select="/shop/name"/>
			</a>
		</xsl:if>
		
		<span class="path_arrow">&#x2192;</span>
		
		<xsl:choose>
			<xsl:when test="$parent_group_id = @id">
				<xsl:value-of disable-output-escaping="yes" select="name"/>
			</xsl:when>
			<xsl:otherwise>
				<a href="{/shop/path}{fullpath}">
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</a>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>