<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>

	<xsl:template match="/document">

		<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-top: 30px;">
			<tr>

				<xsl:if test=" = 'true'">
					<td style="vertical-align: top; padding-right: 50px;" width="50%">
						<form action="./" name="address" method="POST">
							<p class="title"></p>

							<xsl:choose>
								<xsl:when test="error != ''">
									<!--       -->
									<xsl:variable name="error_text">
										<xsl:choose>
											<xsl:when test="error = -5">    .         .     .</xsl:when>
											<xsl:when test="error = -6">   .</xsl:when>
											<xsl:otherwise></xsl:otherwise>
										</xsl:choose>
									</xsl:variable>

									<p style="font-weight: ;" class="red">
										<xsl:value-of select="$error_text"/>
									</p>
								</xsl:when>
								<xsl:otherwise>
									<p style="color: #707070">     ,       .</p>
								</xsl:otherwise>
							</xsl:choose>

							<table>
								<tr>
									<td>
										<div>:</div>
										<input type="text" size="30" name="login" class="large_input" value="{site_users_login}"/>
									</td>
								</tr>
								<tr>
									<td>
										<div>:</div>
										<input type="password" size="30" class="large_input" name="password" value=""/>
									</td>
								</tr>
							</table>
							<p>
								 ?    <a href="/users/restore_password/"></a>.
								<!-- <a href="/users/restore_password/">&#xA0;?</a> -->
							</p>
							<div class="gray_button">
								<div>
									<input name="step1_1" value="  " type="submit"/>
								</div>
							</div>
						</form>
					</td>
				</xsl:if>

				<td style="vertical-align: top;" width="50%">

					<SCRIPT>
						<xsl:comment>
							<xsl:text disable-output-escaping="yes">
							<![CDATA[
							function HideShow(id, id1)
							{

								var el = document.getElementById(id);
								var el1 = document.getElementById(id1);
									el.style.display = 'none';
									el1.style.display = 'block';
									//el1.style.position = 'absolute';
							}
							]]>
							</xsl:text>
						</xsl:comment>
					</SCRIPT>

					<div id="first" style="display: block;">
						<p class="title">  </p>
						<b>     ?</b>
						<br/>
						<ul style="width: 300px">
							<li>       .</li>
							<!-- <li>   on-line </li>
							<li>           </li> -->
							<li>       ,    .</li>
						</ul>

						<xsl:if test="error != ''">

							<xsl:variable name="error_text">
								<xsl:choose>
									<xsl:when test="error = -1">   </xsl:when>
									<xsl:when test="error = -2">      </xsl:when>
									<xsl:when test="error = -3">     </xsl:when>
									<xsl:when test="error = -4">, ,   </xsl:when>
									<xsl:when test="error = -7">   !</xsl:when>
									<xsl:otherwise></xsl:otherwise>
								</xsl:choose>
							</xsl:variable>

							<p style="color:#800000; font-weight: bold;">
								<xsl:value-of select="$error_text"/>
							</p>
						</xsl:if>

						<p>
							<a href="/users/registration/" onClick="HideShow('first', 'second'); return false;" title="">   &#8594;</a>
						</p>
					</div>



					<div id="second" style="display: none;">

						<p class="title">  </p>
<p style="color: #707070">
						,  <span class="red_star" style="position: relative; top: 6px;"> *</span>,   .
						</p>
						<!--<p style="color: #707070">           .</p>-->

						<form name="registration" method="POST">
							<table>
								<tr>
									<td>:</td>
									<td>
										<input type="text" size="30" name="site_users_login" value="{site_users_login}"/>
									</td>
									<td class="red_star"> *</td>
								</tr>
								<tr>
									<td>:</td>
									<td>
										<input type="password" size="30" name="site_users_password" value=""/>
									</td>
									<td class="red_star"> *</td>
								</tr>
								<tr>
									<td> :</td>
									<td>
										<input type="password" size="30" name="site_users_password_retry" value=""/>
									</td>
									<td class="red_star"> *</td>
								</tr>
								<tr>
									<td>E-mail:</td>
									<td>
										<input type="text" size="30" name="site_users_email" value="{site_users_email}"/>
									</td>
									<td class="red_star"> *</td>
								</tr>
								<tr>
									<td>:</td>
									<td>
										<input type="text" size="30" name="site_users_surname" value="{site_users_surname}"/>
									</td>
								</tr>
								<tr>
									<td>:</td>
									<td>
										<input type="text" size="30" name="site_users_name" value="{site_users_name}"/>
									</td>
								</tr>
								<tr>
									<td>:</td>
									<td>
										<input type="text" size="30" name="site_users_patronymic" value="{site_users_patronymic}"/>
									</td>
								</tr>
								<tr>
									<td>:</td>
									<td>
										<input type="text" size="30" name="site_users_company" value="{site_users_company}"/>
									</td>
								</tr>
								<tr>
									<td>:</td>
									<td>
										<input name="site_users_phone" type="text" value="{site_users_phone}" size="30"/>
									</td>
								</tr>
							</table>
							<div class="gray_button">
								<div>
									<input name="step1_2" value="  " type="submit"/>
								</div>
							</div>
						</form>
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>