<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<!--  -->
	
	<xsl:template match="/">
		<xsl:apply-templates select="/polls/polls_group/poll"/>
		
		<!-- ,     page-XX/ -->
		<xsl:variable name="link"><xsl:value-of select="/polls/polls_group/poll_group_url"/></xsl:variable>
		<!--   .     ! -->
		<xsl:call-template name="for">
			<xsl:with-param name="link" select="$link"/>
			<xsl:with-param name="polls_on_page" select="/polls/polls_on_page"/>
			<xsl:with-param name="current_page" select="/polls/current_page"/>
			<xsl:with-param name="count_polls" select="/polls/count_polls"/>
			<xsl:with-param name="visible_pages">5</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="poll">
		<div class="survey_block">
			<div class="red_block survey">
				<div class="tl"></div>
				<div class="tr"></div>
				<div class="br"></div>
				<div class="bl"></div>
				<div class="tail"></div>
				<div>
					<xsl:value-of select="title"/>
				</div>
			</div>
			
			<br/>
			
			<form action="{/polls/polls_group/poll_group_url}poll-{@id}/" method="post">
				<!--    -->
				<xsl:apply-templates select="replys/reply" />
				
				<xsl:if test="public=1">
					<p>
						<a href="{/polls/polls_group/poll_group_url}poll-{@id}/">  &#8594;</a>
					</p>
				</xsl:if>
				
				<div class="gray_button">
					<div>
						<input type="submit" name="vote" value=""/>
					</div>
				</div>
				<div class="clearing"></div>
				
				<input type="hidden" name="polls_id" value="{@id}"/>
				<input type="hidden" name="public_vote" value="{public}"/>
			</form>
		</div>
	</xsl:template>
	
	<xsl:template match="replys/reply">
		<xsl:variable name="current_polls_group" select="current_polls_group"/>
		
		<p>
			<xsl:if test="../../type = 0">
				<input type="radio" class="input_radio" name="poll_reply_id" id="poll_reply_id{@id}" value="{@id}">
					<!--    ,    -->
					<xsl:if test="position() = 1">
						<xsl:attribute name="checked"></xsl:attribute>
					</xsl:if>
				</input>
			</xsl:if>
			<xsl:if test="../../type = 1">
				<input type="checkbox" name="poll_reply_id{@id}" id="poll_reply_id{@id}" value="{@id}"></input>
			</xsl:if>
			
			<label for="poll_reply_id{@id}" accesskey="">
				<xsl:value-of select="name"/>
			</label>
		</p>
	</xsl:template>
	
	
	<!--      -->
	<xsl:template name="for">
		<xsl:param name="i" select="0"/>
		<xsl:param name="prefix">page</xsl:param>
		<xsl:param name="link"/>
		<xsl:param name="polls_on_page"/>
		<xsl:param name="current_page"/>
		<xsl:param name="count_polls"/>
		<xsl:param name="visible_pages"/>
		
		<xsl:variable name="n" select="$count_polls div $polls_on_page"/>
		
		
		<!--        -->
		<xsl:variable name="pre_count_page">
			<xsl:choose>
				<xsl:when test="$current_page &gt; ($n - (round($visible_pages div 2) - 1))">
					<xsl:value-of select="$visible_pages - ($n - $current_page)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="round($visible_pages div 2) - 1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<!--        -->
		<xsl:variable name="post_count_page">
			<xsl:choose>
				<xsl:when test="0 &gt; $current_page - (round($visible_pages div 2) - 1)">
					<xsl:value-of select="$visible_pages - $current_page - 1"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="round($visible_pages div 2) = ($visible_pages div 2)">
							<xsl:value-of select="$visible_pages div 2"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="round($visible_pages div 2) - 1"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<xsl:if test="$i = 0 and $current_page != 0">
			<span class="ctrl">
				&#8592; Ctrl
			</span>
		</xsl:if>
		
		<xsl:if test="$i >= $n and ($n - 1) > $current_page">
			<span class="ctrl">
				Ctrl &#8594;
			</span>
		</xsl:if>
		
		<xsl:if test="$count_polls &gt; $polls_on_page and $n &gt; $i">
			
			<!--    -->
			<xsl:variable name="tag_link">
				<xsl:choose>
					<!--     -->
					<xsl:when test="count(/document/blocks/selected_tags/tag) != 0">tag/<xsl:value-of select="/document/blocks/selected_tags/tag/tag_path_name"/>/</xsl:when>
					<!--     -        -->
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--    -->
			<xsl:variable name="number_link">
				<xsl:choose>
					<!--     -->
					<xsl:when test="$i != 0">
						<xsl:value-of select="$prefix"/>-<xsl:value-of select="$i + 1"/>/</xsl:when>
					<!--     -        -->
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!--    -->
			<xsl:if test="$i != $current_page">
				<!--      -->
				<xsl:if test="$current_page - $pre_count_page &gt; 0 and $i = 0">
					<a href="{$link}" class="page_link" style="text-decoration: none;">&#x2190;</a>
				</xsl:if>
				
				<xsl:choose>
					<xsl:when test="$i &gt;= ($current_page - $pre_count_page) and ($current_page + $post_count_page) &gt;= $i">
						<!--      -->
						<a href="{$link}{$tag_link}{$number_link}" class="page_link">
							<xsl:value-of select="$i + 1"/>
						</a>
					</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				
				<!--      -->
				<xsl:if test="$i+1 &gt;= $n and $n &gt; ($current_page + 1 + $post_count_page)">
					<xsl:choose>
						<xsl:when test="$n &gt; round($n)">
							<!--      -->
							<a href="{$link}{$prefix}-{round($n+1)}/" class="page_link" style="text-decoration: none;">&#x2192;</a>
						</xsl:when>
						<xsl:otherwise>
							<a href="{$link}{$prefix}-{round($n)}/" class="page_link" style="text-decoration: none;">&#x2192;</a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:if>
			
			<!--      Ctrl +  -->
			<xsl:if test="$current_page != 0 and $i = $current_page">
				<xsl:variable name="prev_number_link">
					<xsl:choose>
						<!--     -->
						<xsl:when test="($current_page - 1) != 0">page-<xsl:value-of select="$i"/>/</xsl:when>
						<!--     -        -->
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<a href="{$link}{$tag_link}{$prev_number_link}" id="id_prev"></a>
			</xsl:if>
			
			<!--      Ctrl +  -->
			<xsl:if test="($n - 1) > $current_page and $i = $current_page">
				<a href="{$link}{$tag_link}page-{$current_page+2}/" id="id_next"></a>
			</xsl:if>
			
			<!--     -->
			<xsl:if test="$i = $current_page">
				<span class="current">
					<xsl:value-of select="$i+1"/>
				</span>
			</xsl:if>
			
			<!--   .     ! -->
			<xsl:call-template name="for">
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="prefix" select="$prefix"/>
				<xsl:with-param name="link" select="$link"/>
				<xsl:with-param name="polls_on_page" select="$polls_on_page"/>
				<xsl:with-param name="current_page" select="$current_page"/>
				<xsl:with-param name="count_polls" select="$count_polls"/>
				<xsl:with-param name="visible_pages" select="$visible_pages"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template></xsl:stylesheet>