<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<!--  -->
	<xsl:template match="/document">
		<h1> </h1>
		
		<p>
		<a href="{forums_path}"> </a><span class="path_arrow">&#x2192;</span> 
		</p>
		
		<xsl:choose>
			<!--     -->
			<xsl:when test="count(forum_message) > 0">
				<!--    -->
				<table class="table_forum table_themes">
					<tr class="row_title_themes">
						<td align="center" class="theme_td_title"></td>
						<td align="center" class="theme_td_author"></td>
					</tr>
					<!--    -->
					<xsl:apply-templates select="forum_message"/>
				</table>
				
				<p>
					<!--        -->
					<xsl:call-template name="for">
						<xsl:with-param name="items_on_page" select="messages_on_page"/>
						<xsl:with-param name="current_page" select="current_page"/>
						<xsl:with-param name="count_items" select="count_messages"/>
						<xsl:with-param name="visible_pages" select="6"/>
					</xsl:call-template>
					<div style="clear: both"></div>
				</p>
				
				<p>
					<a href="{forums_path}"> </a><span class="path_arrow">&#x2192;</span> 
				</p>
			</xsl:when>
			<xsl:otherwise>
				<p> .</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--      -->
	<xsl:template name="pages">
		<xsl:param name="i" select="0"/>
		<xsl:param name="n"/>
		<xsl:param name="current_page"/>
		<xsl:param name="theme_id"/>
		<xsl:if test="$n &gt; $i">
			<!--    -->
			<xsl:choose>
				<!--     7   1 -->
				<xsl:when test="7 &gt; $n">
					<xsl:variable name="number_link">
						<xsl:choose>
							<!--     -->
							<xsl:when test="$i != 0">page-<xsl:value-of select="$i + 1"/>/</xsl:when>
							<!--     -        -->
							<xsl:otherwise></xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					<!--    -->
					<a href="{/document/forums_path}{/document/forums_id}/{$theme_id}/{$number_link}">
						<xsl:value-of select="$i + 1"/>
					</a>
					<xsl:if test="$n - 1 &gt; $i ">,</xsl:if>
					<!--   .     ! -->
					<xsl:call-template name="pages">
						<xsl:with-param name="i" select="$i + 1"/>
						<xsl:with-param name="n" select="$n"/>
						<xsl:with-param name="current_page" select="$current_page"/>
						<xsl:with-param name="theme_id" select="$theme_id"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<a href="{/document/forums_path}{/document/forums_id}/{$theme_id}/">1</a>,
					<a href="{/document/forums_path}{/document/forums_id}/{theme_id}/page-2/">2</a>,
					<a href="{/document/forums_path}{/document/forums_id}/{theme_id}/page-3/">3</a>...
					<a href="{/document/forums_path}{/document/forums_id}/{theme_id}/page-{$n - 2}/">
						<xsl:value-of select="$n - 2"/>
					</a>,
					<a href="{/document/forums_path}{/document/forums_id}/{theme_id}/page-{$n - 1}/">
						<xsl:value-of select="$n - 1"/>
					</a>,
					<a href="{/document/forums_path}{/document/forums_id}/{theme_id}/page-{$n}/">
						<xsl:value-of select="$n"/>
					</a>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<!--     -->
	<xsl:template match="forum_message">
		<xsl:variable name="theme_id" select="forums_theme_id" />
		<!--   -->
		<xsl:variable name="color_theme">
			<xsl:choose>
				<xsl:when test="position() mod 2 = 0">color_2_theme</xsl:when>
				<xsl:when test="theme_visible=0">color_hidden_theme</xsl:when>
				<xsl:otherwise></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<!--       /  -  -->
		<tr class="{$color_theme}">
			
			<!--   -->
			<td class="theme_td_title">
				<b><a href="{/document/forums_path}{/document/forums_theme[theme_id = $theme_id]/forum_id}/{/document/forums_theme[theme_id = $theme_id]/theme_id}/">
						<xsl:value-of select="forums_theme_title"/>
				</a></b>
				<p><xsl:value-of disable-output-escaping="yes" select="substring(forum_message_text, 0, 100)" /></p>
			</td>
			<td align="center" class="theme_td_author">
				<!--    -->
				<xsl:value-of select="message_date_create"/>
			</td>
		</tr>
	</xsl:template>
	
	<!--      -->
	<xsl:template name="for">
		<xsl:param name="i" select="0"/>
		<xsl:param name="items_on_page"/>
		<xsl:param name="current_page"/>
		<xsl:param name="count_items"/>
		<xsl:param name="visible_pages"/>
		
		<xsl:variable name="n" select="$count_items div $items_on_page"/>
		
		<xsl:variable name="link"><xsl:value-of select="/document/forums_path" />posts/</xsl:variable>
		
		<!--        -->
		<xsl:variable name="pre_count_page">
			<xsl:choose>
				<xsl:when test="$current_page &gt; ($n - (round($visible_pages div 2) - 1))">
					<xsl:value-of select="$visible_pages - ($n - $current_page)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="round($visible_pages div 2) - 1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<!--        -->
		<xsl:variable name="post_count_page">
			<xsl:choose>
				<xsl:when test="0 &gt; $current_page - (round($visible_pages div 2) - 1)">
					<xsl:value-of select="$visible_pages - $current_page - 1"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="round($visible_pages div 2) = ($visible_pages div 2)">
							<xsl:value-of select="$visible_pages div 2"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="round($visible_pages div 2) - 1"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		
		<xsl:if test="$count_items &gt; $items_on_page and $n &gt; $i">
			
			<!--    -->
			<xsl:if test="$i != $current_page">
				
				<!--    -->
				<xsl:variable name="number_link">
					<xsl:choose>
						<!--     -->
						<xsl:when test="$i != 0">page-<xsl:value-of select="$i + 1"/>/</xsl:when>
						<!--     -        -->
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<!--      -->
				<xsl:if test="$current_page - $pre_count_page &gt; 0 and $i = 0">
					<a href="{$link}" class="page_link" style="text-decoration: none;">&#x2190;</a>
				</xsl:if>
				
				<xsl:choose>
					<xsl:when test="$i &gt;= ($current_page - $pre_count_page) and ($current_page + $post_count_page) &gt;= $i">
						
						<!--      -->
						<a href="{$link}{$number_link}" class="page_link">
							<xsl:value-of select="$i + 1"/>
						</a>
					</xsl:when>
					<xsl:otherwise>
					</xsl:otherwise>
				</xsl:choose>
				
				<!--      -->
				<xsl:if test="$i+1 &gt;= $n and $n &gt; ($current_page + 1 + $post_count_page)">
					<xsl:choose>
						<xsl:when test="$n &gt; round($n)">
							<!--      -->
							<a href="{$link}page-{round($n+1)}/" class="page_link" style="text-decoration: none;">&#x2192;</a>
						</xsl:when>
						<xsl:otherwise>
							<a href="{$link}page-{round($n)}/" class="page_link" style="text-decoration: none;">&#x2192;</a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:if>
			
			<!--     -->
			<xsl:if test="$i = $current_page">
				<span class="current">
					<xsl:value-of select="$i+1"/>
				</span>
			</xsl:if>
			
			<!--   .     ! -->
			<xsl:call-template name="for">
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="items_on_page" select="$items_on_page"/>
				<xsl:with-param name="current_page" select="$current_page"/>
				<xsl:with-param name="count_items" select="$count_items"/>
				<xsl:with-param name="visible_pages" select="$visible_pages"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>